
#ifndef __APITEST_H
#define __APITEST_H

#include "stm32f10x.h"
#include "stdio.h"
#include "string.h"
#include "systick.h"

#include "WM.h"
#include "PROGBAR.h"
#include "BUTTON.h"
#include "CHECKBOX.h"
#include "EDIT.h"
#include "FRAMEWIN.h"
#include "LISTBOX.h"
#include "RADIO.h"
#include "SCROLLBAR.h"
#include "TEXT.h"
#include "DIALOG.h"

#define countof(Array) (sizeof(Array)/sizeof(Array[0]))

#define USE_BANDING_MEMDEV 1

void Dispaly_string(void);
void Dispaly_Num(void);
void Draw_pic(void);
void Draw_polygon(void);
void Config_men(void);
void Config_men1(void *pData);
void DemoBandingMemdev(void);

void WinHandler (WM_MESSAGE * pMsg);//利用回调函数创建窗口
void WinHandler2 (WM_MESSAGE * pMsg);//利用回调函数创建窗口
void WinHandler3 (WM_MESSAGE * pMsg);//利用回调函数创建窗口

void Display_Win(void);
void Display_button(void);
void Display_checkbox(void);
void Display_edit(void);
void Display_framewin(void);
void Display_listbox(void);
void Display_progbar(void);
void Display_scrollbar(void);
void Display_text(void);
void Display_box(void);
void Display_Dbox(void);
void Display_AA(void);
void Touch_key(void);

void Touch_button(void);

void Touch_Process(void);
void Button_Process(void);

#endif
